//
//  DetailViewController.m
//  konohana_test
//
//  Created by kunii on 09/11/22.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "DetailViewController.h"
#import "CoDetailViewController.h"

@implementation DetailViewController
@synthesize image;

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	commentView.text = @"お試し";
	sugestionTableView.dataSource = self;
	sugestionTableView.delegate = self;
	imageView.image = image;	
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[image release];
    [super dealloc];
}

#pragma mark Table view methods

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}


// Customize the number of rows in the table view.
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 10;
}

// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath 
{
	static NSString *CellIdentifier = @"DetailCell";    
	UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
	if (cell == nil) {
		cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
	}
	cell.textLabel.text = [NSString stringWithFormat:@"提案 %d", indexPath.row];
    return cell;
}

/*
	提案項目の一つが選ばれた。
*/
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)newIndexPath
{
	UITableViewCell* cell = [tableView cellForRowAtIndexPath:newIndexPath];
	CoDetailViewController* ctl = [[CoDetailViewController alloc] initWithNibName:@"CoDetailViewController" bundle:nil];
	ctl.title = cell.textLabel.text;
	ctl.image = image;
	[self.navigationController pushViewController:ctl animated:YES];
	[ctl release];
}


-(void)viewWillAppear:(BOOL)animated {
	[super viewWillAppear:animated];
	[sugestionTableView deselectRowAtIndexPath:[sugestionTableView indexPathForSelectedRow] animated:YES];
}

@end
