//
//  CoDetailViewController.m
//  konohana_test
//
//  Created by kunii on 09/12/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "CoDetailViewController.h"


@implementation CoDetailViewController
@synthesize image;

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];

	CGRect r = self.view.bounds;
	r.size.width = 100;
	r.size.height = 100;
	r = CGRectOffset(r, 10, 10);
	UIImageView* iview = [[UIImageView alloc] initWithFrame:r];
	[self.view addSubview:iview];

	r = CGRectOffset(r, r.size.width + 10, 0);
	UITextView* txview = [[UITextView alloc] initWithFrame:r];
	[self.view addSubview:txview];
	
	r = self.view.bounds;
	r.origin.y += 120;
	r.size.height = 30;
	UITextField* tfview = [[UITextField alloc] initWithFrame:r];
	tfview.borderStyle = UITextBorderStyleRoundedRect;
	tfview.placeholder = @"input";
	
	[self.view addSubview:tfview];

	r.origin.y += r.size.height;
	r.size.height = self.view.bounds.size.height - r.origin.y;
	UITableView* tview = [[UITableView alloc] initWithFrame:r];
	[self.view addSubview:tview];

	imageView = iview;
	commentView = txview;
	voteTableView = tview;

	commentView.text = @"お試し";
	voteTableView.allowsSelection = NO;
	voteTableView.dataSource = self;
	voteTableView.delegate = self;
	imageView.image = image;


	[iview release];
	[txview release];
	[tfview release];
	[tview release];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

#pragma mark Table view methods

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}


// Customize the number of rows in the table view.
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 3;
}

// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath 
{
	static NSString *CellIdentifier = @"CoDetailCell";    
	UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
	if (cell == nil) {
		cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
	}
	cell.textLabel.text = [NSString stringWithFormat:@"投票 %d", indexPath.row];
    return cell;
}

@end
