//
//  KonohanaDB.h
//  konohana_test
//
//  Created by kunii on 09/11/15.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol KonohanaDBDelegate<NSObject>
//	投稿が見つかった。
-(void)arrivedContribution:(int)inID photo:(UIImage*)photo name:(NSString*)name comment:(NSString*)comment;
//	提案が見つかった。
-(void)arrivedSuggestion:(int)inID name:(NSString*)name comment:(NSString*)comment vote:(int)count;
//	接続終了
-(void)terminate;
@end

@interface KonohanaDB : NSObject {
	id<KonohanaDBDelegate>	dbDelegate;
}
@property (nonatomic, assign) id<KonohanaDBDelegate>	dbDelegate;

//	無条件接続
-(void)connect;
//	投稿者ID付き接続、投稿者IDの一致する投稿をリストアップ
-(void)connectWithUserID:(int)inUserID;
//	投稿者ID付き接続、投稿者IDの一致する提案をもつ投稿をリストアップ
-(void)connectWithUserIDToSuggest:(int)inUserID;
@end

