//
//  NewFlowerAppDelegate.m
//  NewFlower
//
//  Created by kunii on 09/12/23.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "NewFlowerAppDelegate.h"
#import "NewFlowerViewController.h"

@implementation NewFlowerAppDelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(UIApplication *)application {
	viewController = [[UIViewController alloc]init];
	[window addSubview:viewController.view];
    [window makeKeyAndVisible];

	//	モーダル側のビューコントローラを作成し、先に作ったcontrollerから表示させる。
	NewFlowerViewController* newflowerviewController =
		[[NewFlowerViewController alloc] init];
	newflowerviewController.newflowerDelegate = self;
	//	ナビゲーションコントローラ
	UINavigationController* naviCon = [[UINavigationController alloc] 
		initWithRootViewController:newflowerviewController];
	//	モーダルビューとして表示。
	[viewController presentModalViewController:naviCon animated:YES];
	//	presentModalViewControllerでcontroller側の管理下に入った。そのため
	//	こちらでは管理する必要がなくなったので解放する。
	[newflowerviewController release];
	[naviCon release];
}


- (void)dealloc {
    [viewController release];
    [window release];
    [super dealloc];
}

-(void)newFlower:(UIImage*) inImage comment:(NSString*)inComment
{
	[viewController dismissModalViewControllerAnimated:YES];
}
@end
