//
//  NewFlowerViewController.h
//  NewFlower
//
//  Created by kunii on 09/12/23.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol NewFlowerViewControllerDelegate
-(void)newFlower:(UIImage*) inImage comment:(NSString*)inComment;
@end

@interface NewFlowerViewController : UIViewController<UIActionSheetDelegate, UINavigationControllerDelegate, UIImagePickerControllerDelegate> {
	IBOutlet UIButton*			imageButton;		//	写真表示とカメラ/アルバム選択ボタンを兼ねる。
	IBOutlet UITextView*		commentView;
	CGRect						savedFrame;
	id<NewFlowerViewControllerDelegate,NSObject>	newflowerDelegate;
	UIBarButtonItem*			lastButton;
	UIImage*					newImage;			//	登録するイメージ。
}
-(IBAction)sendImage;

@property (nonatomic, retain) id<NewFlowerViewControllerDelegate>	newflowerDelegate;

@end

